<?php

    $title = "Danh sách Users";
    $this->headTitle($title);
?>
<style>
    ul li{
        list-style-type: none;
    }
    .btn-add{
        display: inline-block;
        margin: 25px 0px;
    }
    .title-index{
        margin: 25px 0px;
    }

</style>
<div class="row">
    <div class="col-md-12">
        <h2 class="title-index"><?=$title?></h2>
        <a class="btn-add" href="<?=$this->url('user',['action'=>'add'])?>" style="display: block;"><button class="btn btn-primary">Thêm user</button></a>
        <div class="col-md-4 col-md-offset-3">
            <?=$this->flashMessenger()->render('success',['alert','alert-success'])?>
        </div>

        <table class="table table-hover">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>User name</th>
                    <th>Full name</th>
                    <th>Address</th>
                    <th>Birthday</th>
                    <th>Phone</th>
                    <th>Options</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $stt = 1;
                    foreach($users as $user):
                 ?>
                    <tr>
                        <td><?=$stt?></td>
                        <td><?=$this->escapeHtml($user->getUsername())?></td>
                        <td><?=$user->getFullname()?></td>
                        <td><?=$user->getAddress()?></td>
                        <td><?=$user->getBirthdate()->format('d-m-Y')?></td>
                        <td><?=$user->getPhone()?></td>
                        <td>
                            <a href="<?=$this->url('user',['action'=>'edit','id'=>$user->getId()])?>"><button class="btn btn-primary">Sửa</button></a>
                            <a href="<?=$this->url('user',['action'=>'delete','id'=>$user->getId()])?>"><button class="btn btn-danger">Xóa</button></a>
                            <a href="<?=$this->url('user',['action'=>'changePassword','id'=>$user->getId()])?>"><button class="btn btn-success">Đổi mật khẩu</button></a>
                        </td>
                    </tr>
                 <?php
                 $stt++; endforeach
                 ?>
            </tbody>
        </table>
    </div>
</div>